/*********************************************************************************
 * Copyright (c) 2012 Forschungszentrum Juelich GmbH 
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * (1) Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer at the end. Redistributions in
 * binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 * 
 * (2) Neither the name of Forschungszentrum Juelich GmbH nor the names of its 
 * contributors may be used to endorse or promote products derived from this 
 * software without specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 ********************************************************************************/
package eu.unicore.hila.grid.emi.es;


/**
 * A data class holding references to specific services belonging to an
 * {@link EmiEsSite}.
 * 
 * @author bjoernh
 * 
 *         09.11.2012 13:21:10
 * 
 */
public class SiteServices {
    private String createActivityService = null;
    private String activityInfoService = null;
    private String activityMgmtService = null;

    /**
     * @return the createActivityService
     */
    public String getCreateActivityService() {
        return createActivityService;
    }

    /**
     * @param createActivityService
     *            the createActivityService to set
     */
    public void setCreateActivityService(String createActivityService) {
        this.createActivityService = createActivityService;
    }

    /**
     * @return the activityInfoService
     */
    public String getActivityInfoService() {
        return activityInfoService;
    }

    /**
     * @param activityInfoService
     *            the activityInfoService to set
     */
    public void setActivityInfoService(String activityInfoService) {
        this.activityInfoService = activityInfoService;
    }

    /**
     * @return the activityMgmtService
     */
    public String getActivityMgmtService() {
        return activityMgmtService;
    }

    /**
     * @param activityMgmtService
     *            the activityMgmtService to set
     */
    public void setActivityMgmtService(String activityMgmtService) {
        this.activityMgmtService = activityMgmtService;
    }
}
